CRMchat APIBeta
Workspace Properties

List workspace properties

GET
/workspaces/{workspaceId}/properties/{objectType}

Returns property definitions available to a workspace, including organization properties by default.

Authorization

bearerAuth
AuthorizationBearer <token>

API key (sk_...) as Bearer token

In: header

Path Parameters

workspaceId*string
objectType*"contacts"

Value in

  • "contacts"

Query Parameters

includeOrgProperties?|
Defaulttrue

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/workspaces/string/properties/contacts"
{  "data": [    {      "key": "string",      "type": "text",      "name": "string",      "description": "string",      "placeholder": "string",      "required": false,      "readonly": true,      "scope": "organization"    }  ]}